org.apache.xerces.impl.xs.traversers

## Class DOMOverrideImpl

- java.lang.Object
- - org.apache.xerces.impl.xs.traversers.OverrideTransformer
  - - org.apache.xerces.impl.xs.traversers.DOMOverrideImpl

-     public final class DOMOverrideImpl
      extends OverrideTransformer

  Version:
    $Id: DOMOverrideImpl.java 1565084 2014-02-06 05:39:07Z mukulg $

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Field Summary

    - ### Fields inherited from class org.apache.xerces.impl.xs.traversers.OverrideTransformer

      `OVERRIDE_ATTRIBUTE, OVERRIDE_ATTRIBUTE_GROUP, OVERRIDE_COMPLEX_TYPE, OVERRIDE_ELEMENT, OVERRIDE_GROUP, OVERRIDE_NOTATION, OVERRIDE_SIMPLE_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DOMOverrideImpl(XSDHandler schemaHandler)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearState()`
    `boolean` | `hasOverrideTransformations()`
    `org.w3c.dom.Element` | `transform(org.w3c.dom.Element overrideElement, org.w3c.dom.Element overridenSchema)` Given an override Schema Element ie:- and a schema B ,this method will try to produce override transformations on schema B and generate a overridden schema version B' Or It will return a null if override transformations cannot be applied on B ie:- B does not have overriden schema elements as specified in override Schema Element

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DOMOverrideImpl

          public DOMOverrideImpl(XSDHandler schemaHandler)

  - ### Method Detail

    - #### clearState

          public void clearState()

    - #### transform

          public org.w3c.dom.Element transform(org.w3c.dom.Element overrideElement,
                                      org.w3c.dom.Element overridenSchema)
                                        throws OverrideTransformException

      Given an override Schema Element ie:- and a schema B ,this method will try to produce override transformations on schema B and generate a overridden schema version B' Or It will return a null if override transformations cannot be applied on B ie:- B does not have overriden schema elements as specified in override Schema Element
      Specified by:
        `transform` in class `OverrideTransformer`
      Parameters:
        `overrideElement` - -an override Schema Element ie:-
        `overridenSchema` - -an overridden schema B
      Throws:
        `OverrideTransformException`

    - #### hasOverrideTransformations

          public boolean hasOverrideTransformations()

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.